{"openapi":"3.0.0","info":{"version":"2.0-oas3","title":"WestFax Secure  Fax API","description":"We are an **Enterprise** Fax API provider. Handing any size fax transaction from hundreds of thousands of faxes to individual HIPAA protected faxes. We can work with you with our US based tech team to get your enterprise Fax requirements done. Please explore our api and if you are interested in trying us out go to \n[Developer API Integration signup](https://westfax.com/api/)\n\n**Version 2.1:**\n* Added Fax_GetProductsWithInboundFaxes\n\n**Version 2.0:**\n* Added CallBack feature on Fax_SendFax\n* Removed deprecated calls  ","contact":{"name":"Doug Clayton (API Team)","email":"dclayton@westfax.com"},"termsOfService":"https://westfax.com/terms-and-conditions/"},"paths":{"/Security_Ping/{RespEnc}":{"post":{"description":"A test service to test connectivity. Pass **Ping** into the **StringParams1** field.","summary":"Security_Ping","operationId":"SecurityPingByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"StringParams1":{"description":"string to have \"Pong - \" attached to and returned","type":"string","default":"ping"}},"required":["StringParams1"]}}}},"tags":["TEST_DEBUG"]}},"/Security_Authenticate/{RespEnc}":{"post":{"description":"# Authenticate Method (User and Password Only)","summary":"Security_Authenticate (Usename, Pass only)","operationId":"SecurityAuthenticateByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/SecurityAuthenticateByRespEncPost"},"tags":["Authentication","TEST_DEBUG"]}},"/Profile_GetAccountInfo/{RespEnc}":{"post":{"description":"# Gets the current account details for the person indicated in the login credentials.\n# \n","summary":"Profile_GetAccountInfo","operationId":"ProfileGetAccountInfoByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/ProfileGetAccountInfoByRespEncPost"},"tags":["Authentication"]}},"/Profile_GetProductList/{RespEnc}":{"post":{"description":"# Gets all of the products (fax lines) that the user has access to.\n\nNite the productID so you can query specific fax numbers later.\nThis call will return both FaxForward and other Fax Products.    ","summary":"Profile_GetProductList","operationId":"ProfileGetProductListByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/SecurityAuthenticateByRespEncPost"},"tags":["Utility"]}},"/Profile_GetF2EProductList/{RespEnc}":{"post":{"description":"# Gets the Fax to Email numbers that the user has access to.\n\nThe Product Id is important in that most API functions take a Product Id.\n\nThis call will return only Fax to Email Numbers, and has more detail than the GetProductList() API call.","summary":"Profile_GetF2EProductList - Fax lines only","operationId":"ProfileGetF2EProductListByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/SecurityAuthenticateByRespEncPost"},"tags":["Utility"]}},"/Profile_GetF2EProductDetail/{RespEnc}":{"post":{"description":"# Gets the detail for the indicated Fax to Email number.","summary":"Profile_GetF2EProductDetail - Fax to Email only","operationId":"ProfileGetF2EProductDetailByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"}}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"}},"required":["Username","Password","ProductId"]}}}},"tags":["Utility"]}},"/Security_GetUserInfo/{RespEnc}":{"post":{"description":"# Gets the user's information.","summary":"Security_GetUserInfo","operationId":"SecurityGetUserInfoByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/ProfileGetAccountInfoByRespEncPost"},"tags":["Utility"]}},"/Security_GetLoginInfo/{RespEnc}":{"post":{"description":"# Gets the user's information and logins.","summary":"Security_GetLoginInfo","operationId":"SecurityGetLoginInfoByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/SecurityAuthenticateByRespEncPost"},"tags":["Authentication","Utility"]}},"/Contact_GetContactList/{RespEnc}":{"post":{"description":"# Gets the current contact details for the person indicated in the login credentials.\n\nProductId is optional.\n\n","summary":"Contact_GetContactList - Works for any product type","operationId":"ContactGetContactListByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/ProfileGetAccountInfoByRespEncPost"},"tags":["Utility"]}},"/Fax_SendFax/{RespEnc}":{"post":{"description":"# Method to send a fax.  \n\n**Notes:**\nSee each field for details on what parameters you need.             \n* You can use Numbers3...Numbers9999 to add more numbers\n* You can use Files1...Files99 to add more files. They will be combined in order. \n\n**Usage Details**\n* [Quickstart Guide](https://wp.me/p8O8PA-KB)\n* [Callback / Webhook Quickstart Guide](https://wp.me/p8O8PA-LM)   ","summary":"Fax_SendFax","operationId":"FaxSendFaxByRespEncPost","deprecated":false,"parameters":[{"name":"ContentType","in":"header","required":true,"schema":{"type":"string","default":"multipart/form-data"}},{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"},"JobName":{"description":"(Optional) The Name of the Job","type":"string"},"Header":{"description":"(Optional) The string to print at the top of the fax.","type":"string"},"BillingCode":{"description":"(Optional) Customer Billing Code","type":"string"},"Numbers1":{"description":"Destination Fax Number (1)","type":"string"},"Numbers2":{"description":"(Optional) Destination Fax Number (2)","type":"integer","format":"int64"},"Files0":{"description":"The Fax file to send.","type":"string"},"CSID":{"description":"(Optional) The CSID to send.  This is usually the Fax Number.","type":"integer","format":"int64"},"ANI":{"description":"The Callers Phone number.  This is usually the fax number.","type":"integer","format":"int32"},"StartDate":{"description":"(Optional) The time to start the job.","type":"string"},"FaxQuality":{"description":"(Optional) The Fax Quality.  Fine or Normal.","type":"string","default":"Normal"},"FeedbackEmail":{"description":"(Optional) Send a report here when the job is done.","type":"string"},"CallBackUrl":{"description":"(Optional) Set a Callback URL for post send response. Use format [GET]https://test.com see [Callback guide](https://bit.ly/2YUeYM1) for more info.","type":"string"}},"required":["Username","Password","ProductId","JobName","Numbers1","Files0","ANI"]}}}},"tags":["Core"]}},"/Fax_GetFaxIdentifiers/{RespEnc}":{"post":{"description":"# Retrieves only the list of outbound Fax Ids for the given product.\n# \nUse the resulting ID to retrieve the fax data using /Fax_GetFaxDocuments or /Fax_GetFaxDescriptionsUsingIds\n\n","summary":"Fax_GetOutboundFaxIdentifiers","operationId":"FaxGetFaxIdentifiersByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/FaxGetFaxIdentifiersByRespEncPost"},"tags":["Core"]}},"/Fax_GetFaxDescriptions/{RespEnc}":{"post":{"description":"# Retrieves detailed information about the requested outbound fax identifiers.","summary":"Fax_GetOutboundFaxDescriptions","operationId":"FaxGetFaxDescriptionsByRespEncPost","deprecated":false,"parameters":[{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"}},{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"$ref":"#/components/requestBodies/FaxGetFaxIdentifiersByRespEncPost"},"tags":["Core"]}},"/Fax_GetFaxDocuments/{RespEnc}":{"post":{"description":"# Retrieves the fax documents for the given fax Ids.\n# \nThe Format Parameter supports:\n\npdf,\ntiff,\njpeg,\npng,\ngif","summary":"Fax_GetFaxDocuments","operationId":"FaxGetFaxDocumentsByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"},"FaxIds1":{"description":"Id of fax received from GetFaxIdentifiers - look at Pre-request Script Tab","type":"string"},"Format":{"description":"can be pdf, tiff, jpeg, png, or gif","type":"string","default":"pdf"}},"required":["Username","Password","ProductId","FaxIds1","Format"]}}}},"tags":["Core"]}},"/Fax_ChangeFaxFilterValue/{RespEnc}":{"post":{"description":"# Changes the filter value of the Fax(s) identified. \nUseful to reset the read status of a fax or to delete a fax.\n\nFilter Values can be:\n\nNone (reset - marked as unread),\nRetrieved (Marked as Read),\nRemoved (Deleted)\n","summary":"Fax_ChangeFaxFilterValue","operationId":"FaxChangeFaxFilterValueByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"},"FaxIds1":{"description":"Id of fax received from GetFaxIdentifiers - look at Pre-request Script Tab","type":"string"},"Filter":{"description":"Can be None (reset - marked as unread), Retrieved (Marked as Read), Removed (Deleted)","type":"string"}},"required":["Username","Password","ProductId","FaxIds1","Filter"]}}}},"tags":["Utility","Core"]}},"/Fax_GetFaxDescriptionsUsingIds/{RespEnc}":{"post":{"description":"# Retrieves detailed information about the requested fax identifiers.\nYou can retrieve multiple using FaxIds2...FaxIds999\n\n","summary":"Fax_GetFaxDescriptionsUsingIds","operationId":"FaxGetFaxDescriptionsUsingIdsByRespEncPost","deprecated":false,"parameters":[{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"}},{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"},"FaxIds1":{"description":"Id of fax received from GetFaxIdentifiers - look at Pre-request Script Tab","type":"string"},"FaxIds2":{"description":"Id of fax received from GetFaxIdentifiers - look at Pre-request Script Tab","type":"string"}},"required":["Username","Password","ProductId","FaxIds1"]}}}},"tags":["Core"]}},"/Fax_SendFaxAsEmail/{RespEnc}":{"post":{"description":"# Forwards the indicated Fax to the indicated email address. \nBe careful for HIPAA implementations.","summary":"Fax_SendFaxAsEmail","operationId":"FaxSendFaxAsEmailByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"},"FaxIds1":{"description":"Id of fax received from GetFaxIdentifiers - look at Pre-request Script Tab","type":"string"},"FeedbackEmail":{"description":"The email that the fax is sent to","type":"string"}},"required":["Username","Password","ProductId","FaxIds1"]}}}},"tags":["Core"]}},"/Fax_GetProductsWithInboundFaxes/{RespEnc}":{"post":{"description":"# Get a list of products with the number of faxes that match the filter conditions. Good for checking multiple fax lines for unread faxes. Will return a collection of Ids of Fax lines that have faxes that match the condition. You can follow up with other procs to retrieve the fax jobs.\n# \n","summary":"Fax_GetProductsWithInboundFaxes","operationId":"FaxGetProductsWithInboundFaxesRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Filter":{"description":"None = Unread, Retrieved = Read, Removed = Deleted","type":"string"}},"required":["Username","Password"]}}}},"tags":["Core"]}},"/Fax_ResendFaxNotification/{RespEnc}":{"post":{"description":"# Resends the Fax to Email email.\n\nThis is an inbound fax method only.  It causes re-delivery of the inbound fax or notification to all of the configured recipients.","summary":"Fax_ResendFaxNotification","operationId":"FaxResendFaxNotificationByRespEncPost","deprecated":false,"parameters":[{"name":"RespEnc","in":"path","required":true,"schema":{"type":"string","default":"json"},"description":"json or xml"}],"responses":{"200":{"description":"","headers":{}}},"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"},"FaxIds1":{"description":"Id of fax received from GetFaxIdentifiers - look at Pre-request Script Tab","type":"string"}},"required":["Username","Password","ProductId","FaxIds1"]}}}},"tags":["Core","Utility"]}}},"tags":[{"name":"Authentication","description":"These are calls to authenticate to our servers. "},{"description":"These are the **Core** functions. Sending, handing inbound, tracking outbound and retrieving faxes.","name":"Core"},{"name":"Utility","description":"\tThese are calls that return product / account and service data. These are useful if you have multiple fax numbers or products and need to query seperate lines"}],"servers":[{"url":"https://api2.westfax.com/Polka.Api/REST/"}],"components":{"requestBodies":{"SecurityAuthenticateByRespEncPost":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"}},"required":["Username","Password"]}}}},"ProfileGetAccountInfoByRespEncPost":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"(optional) Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"}},"required":["Username","Password","ProductId"]}}}},"FaxGetFaxIdentifiersByRespEncPost":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Username":{"description":"string username","type":"string"},"Password":{"description":"string password","type":"string"},"Cookies":{"type":"boolean"},"ProductId":{"description":"Guid Ex. 12345678-1234-1234-1234-123456789abc","type":"string"},"StartDate":{"description":"Farthest date in the past to get fax Ids - most date time formats will work here","type":"string"},"FaxDirection":{"description":"Faxes you sent to another fax number","type":"string"}},"required":["Username","Password","ProductId","StartDate"]}}}}}},"externalDocs":{"description":"Postman Docset and quicklaunch","url":"https://apidocs.westfax.com/?version=latest"}}